Bug 90074 - [PATCH] authconfig man page incorrect
Summary: [PATCH] authconfig man page incorrect
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: authconfig   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-02 00:39 UTC by Greg Lewis
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-07 18:07:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that fixes at least some of the problems. (2.35 KB, patch)
2003-05-02 00:41 UTC, Greg Lewis
no flags Details | Diff

Description Greg Lewis 2003-05-02 00:39:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; FreeBSD i386; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
This problem is actually present in all versions of Red Hat Linux back
at least to Red Hat 7.2.

The authconfig page contains incorrect and incomplete information on the command
line options involved.  I have a patch which at least gets everything right in
the summary plus fixes some errors in the main part of the page.  However, the
page could be improved even further (it currently doesn't describe all of the
command line options, and those that are described aren't always fully
explained).  It also still seems to provide some incorrect information.  For
example, --probe is suggested as a way of printing out the current configuration
output, yet it prints nothing for me (authconfig --test --kickstart appears to
dtrt).

Version-Release number of selected component (if applicable):
4.3.4-1

How reproducible:
Always

Steps to Reproduce:
1. man authconfig
2. Compare against popt option code in authconfig.c
3. Be amazed at the differences and omissions ;-)
    

Additional info:

Comment 1 Greg Lewis 2003-05-02 00:41:35 UTC
Created attachment 91466 [details]
Patch that fixes at least some of the problems.

The attached patch fixes the SYNOPSIS section completely, however there are
more problems that could be addressed, see the initial bug report.

Comment 2 Tomas Mraz 2004-12-07 18:07:31 UTC
I've improved the man page a little bit. It should appear in the next
devel release.



Note You need to log in before you can comment on or make changes to this bug.